﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BattleCry : MonoBehaviour {

	public AudioClip[] Clips;
	public Material[] TalkBubbles;
	private AudioSource audio;
	public ParticleSystem TalkBubblesSystem;
	public AudioSource m_AudioSource;
	private ParticleSystemRenderer TalkBubbleRenderer;
	

	void Start(){
		TalkBubbleRenderer = TalkBubblesSystem.GetComponent<ParticleSystemRenderer>();
	}

	public void RandomBattleCry(){
		int i = Random.Range(0, Clips.Length);
		AudioClip clip = Clips[i];
		m_AudioSource.clip = clip;
		m_AudioSource.Play();

		Material material = TalkBubbles[i];
		TalkBubbleRenderer.material = material;
		TalkBubblesSystem.Play();
	}
}
